<!--
**********************************************************************
* Fichero:  evento.php
* Objetivo: Mostrar un evento fotografiado
* Autor:    Pedro Reina <pedro@pedroreina.net>
* Fecha:    S.9.1.2016
**********************************************************************
-->

<?php require "../tedecea.php"; ?>

<?php IniciaEntornoEvento(); ?>

<?php Tedecea_EmiteDTD ("HTML401strict"); ?>

<HTML>

<?php Tedecea_EmiteCabecera ($Descripcion, 'UTF-8'); ?>

<BODY>

<?php Tedecea_EmiteLogotipo(); ?>

<!-- Presentación -->

<DIV CLASS="cuadro">

  <DIV CLASS="titulo1"><?=$Descripcion?></DIV>
  <DIV CLASS="contenido"><?=$Explicacion?></DIV>

</DIV>

<!-- Fotos -->

<DIV CLASS="cuadro">

  <DIV CLASS="titulo2">
    <?php EmiteTitulo2(); ?>
  </DIV>

  <DIV CLASS="contenido">
    <?php EmiteFotoPedida(); ?>
  </DIV>

</DIV>

<!-- Posibilidades para seguir -->

<?php EmitePosibilidades(); ?>

<!-- Validadores -->

<?php Tedecea_EmiteValidadores(); ?>

<!-- Fin de página web -->

</BODY>

</HTML>

<!-- Programa PHP -->

<?php

// --------------------------------------------------------

// Variables globales
$Tag= '';
$Numero = 0;
$Descripcion = '';
$Explicacion = '';
$ListaFotos = array ();

// --------------------------------------------------------

function IniciaEntornoEvento()
  {
  global $Tag, $Numero, $Descripcion, $Explicacion, $ListaFotos;

  // Obtenemos el tag del evento de la URL
  $Tag = $_GET['Evento'];

  // Buscamos la descripcion y la explicación del evento
  $ListaEventos = Tedecea_LeeArchivoXML ('eventos.xml');
  foreach ( $ListaEventos as $Evento )
    {
    if ( $Evento['tag'] == $Tag )
      {
      $Descripcion = $Evento['tex'];
      $Explicacion = $Evento['explicacion'];
      }
    }

  // Leemos el archivo XML con las fotos del evento
  $Archivo = "xml/" . $Tag . ".xml";
  $ListaFotos = Tedecea_LeeArchivoXML ($Archivo);

  // Obtenemos el número de foto pedido
  if ( isset ($_GET['Numero']) )
    {
    $Numero = $_GET['Numero'];
    if ( $Numero > count ($ListaFotos) OR $Numero < 0 )
      { $Numero = 0; }
    }
  }

// --------------------------------------------------------

function EmiteTitulo2()
  {
  global $Tag, $Numero, $ListaFotos;

  if ( $Numero )
    {
    // Calculamos el enlace a la foto anterior
    $NumeroAnterior = $Numero - 1;
    if ( $NumeroAnterior == 0 )
      {
      $EnlaceAnterior = $Tag;
      $TipAnterior = "Indice";
      }
    else
      {
      $EnlaceAnterior = $Tag . "." . $NumeroAnterior;
      $TipAnterior = $ListaFotos[$NumeroAnterior-1]['titulo'];
      }

    // Calculamos el enlace a la foto siguiente
    $NumeroSiguiente = $Numero + 1;
    if ( $NumeroSiguiente > count ($ListaFotos) )
      {
      $EnlaceSiguiente = $Tag;
      $TipSiguiente = "Indice";
      }
    else
      {
      $EnlaceSiguiente = $Tag . "." . $NumeroSiguiente;
      $TipSiguiente = $ListaFotos[$NumeroSiguiente-1]['titulo'];
      }

    // Vemos el título de la foto que vamos a mostrar
    $Titulo = $ListaFotos[$Numero-1]['titulo'];

    $CodigoHTML=<<<HTML
    <SPAN STYLE="float:left; width:5em; text-align:left">
    <A HREF="$EnlaceAnterior" TITLE="$TipAnterior">&nbsp;&lt;&lt;&lt;&nbsp;</A>
    </SPAN>
    <SPAN STYLE="float:right; width:5em; text-align:right">
    <A HREF="$EnlaceSiguiente" TITLE="$TipSiguiente">&nbsp;&gt;&gt;&gt;&nbsp;</A>
    </SPAN>
    $Titulo
HTML;

    print $CodigoHTML;
    }

  else
    { print "Fotografías"; }
  }

// --------------------------------------------------------

function EmiteFotoPedida()
  {
  global $Numero;

  if ( $Numero )
    { EmiteFoto ($Numero); }
  else
    { EmiteListaFotos(); }
  }

// --------------------------------------------------------

function EmiteListaFotos()
  {
  global $Tag, $ListaFotos;

  $Num = 1;
  foreach ( $ListaFotos as $Foto )
    {
    $Titulo = $Foto['titulo'];
    $Nombre = $Foto['nombre'];
    $Texto = $Foto['texto'];
    $Datos = $Foto['datos'];
    $Enlace = $Tag . "." .  $Num;

    $CodigoHTML=<<<HTML
    <DIV STYLE="padding:5px">
      <DIV STYLE="float:left; width:160px;">
        <A HREF="$Enlace" TITLE="$Titulo">
        <SPAN CLASS="cuadrado"
              STYLE="background-image: url($Tag/$Nombre-min.jpg);">
        </SPAN></A>
      </DIV>
      <DIV STYLE="margin-left:165px; padding:10px">
        <B>$Titulo</B>. $Texto
        <A HREF="$Enlace" TITLE="$Titulo">&nbsp;&gt;&gt;&gt;&nbsp;</A>
      </DIV>
    </DIV>
    <BR STYLE="clear:both">
HTML;

    print $CodigoHTML;

    $Num++;
    }
  }

// --------------------------------------------------------

function EmiteFoto ($Num)
  {
  global $Tag, $ListaFotos;

  // El array de fotos empieza a contar en 0 pero los usuarios
  // empiezan a contar en 1, así que hay que ajustar el número
  $Num -= 1;

  // Tomamos los datos de la foto del array de fotos
  $Titulo = $ListaFotos[$Num]['titulo'];
  $Nombre = $ListaFotos[$Num]['nombre'];
  $Texto = $ListaFotos[$Num]['texto'];
  $Datos = $ListaFotos[$Num]['datos'];

  // Encontramos las dimensiones de la imagen
  $TamanoImagen = GetImageSize ("$Tag/$Nombre-med.jpg");
  $DimensionesImagen = $TamanoImagen[3];

  // Encontramos las dimensiones de la imagen final
  $TamanoImagenFinal = @GetImageSize ("$Tag/$Nombre-fin.jpg");
  $Anchura = $TamanoImagenFinal[0];
  $Altura = $TamanoImagenFinal[1];

  // Encontramos el espacio que ocupa la imagen final
  $Espacio = round (filesize ("$Tag/$Nombre-fin.jpg") / 1024);

  // Preparamos el globo amarillo
  $Tip = $Titulo . ": " . $Anchura . "x" . $Altura . ", " .
         $Espacio . " kB";

  $CodigoHTML=<<<HTML

  <P CLASS="centrado">
  <A HREF="$Tag/$Nombre-fin.jpg">
  <IMG SRC="$Tag/$Nombre-med.jpg" CLASS="sinborde"
       $DimensionesImagen ALT="$Nombre" TITLE="$Tip">
  </A>
  <P>$Texto
  <P><B>Datos técnicos de la foto</B></P>
  <PRE>$Datos</PRE>

HTML;
  print $CodigoHTML;
  }

// --------------------------------------------------------

function EmitePosibilidades()
  {
  global $Tag, $Numero;

  $Texto1 = 'Volver al índice';
  $Enlace1 = $Tag;

  $Texto2 = 'Volver al listado de eventos';
  $Enlace2 = '.';

  if ( $Numero )
    { Tedecea_PosibilidadesSeguir ($Texto1, $Enlace1, $Texto2, $Enlace2); }
  else
    { Tedecea_PosibilidadesSeguir ($Texto2, $Enlace2); }
  }

?>
