<!--
**********************************************************************
* Fichero:  evento/index.php
* Objetivo: Eventos fotografiados
* Autor:    Pedro Reina <pedro@pedroreina.net>
* Fecha:    D.10.1.2016
**********************************************************************
-->

<?php require "../tedecea.php"; ?>

<?php Tedecea_EmiteDTD ('HTML401strict'); ?>

<HTML>

<?php Tedecea_EmiteCabecera ('Eventos fotografiados', 'UTF-8'); ?>

<BODY>

<?php Tedecea_EmiteLogotipo(); ?>

<!-- Presentación -->

<DIV CLASS="cuadro">

  <DIV CLASS="titulo1">Eventos fotografiados</DIV>

  <DIV CLASS="contenido">

  <B>Intención</B>. En algunos eventos a los que asisto, especialmente
  deportivos, realizo una serie de fotos que creo que merecen algún
  trabajo adicional para ser mostradas a modo de reportaje. Selecciono
  algunas de las fotos, les aplico los mínimos retoques por
  software que creo necesarios y las coloco aquí de modo que
  sean fácilmente accesibles.

  <P><B>Modo de uso</B>. De cada fotografía hay tres versiones:
  la miniatura, que solo aparece en la lista de fotos de cada evento;
  la mediana, que se ve en la página que explica individualmente
  cada foto y la final, a la que se accede pulsando en la foto mediana;
  un globo amarillo que aparece sobre la foto mediana cuando se pasa
  el puntero del ratón da información sobre la foto final.

  <P><B>Condiciones de uso</B>. Todas las fotografías de esta página
  pueden ser utilizadas, modificadas, distribuidas y distribuidas
  las modificaciones libremente, incluso sin citar el origen, aunque
  se agradecerá la mención.

  </DIV>

</DIV>

<!-- Eventos -->

<DIV CLASS="cuadro">

  <DIV CLASS="titulo2">Eventos</DIV>

  <DIV CLASS="contenido">
    <?php EmiteListaEventos(); ?>
  </DIV>

</DIV>

<!-- Notas técnicas -->

<DIV CLASS="cuadro">

  <DIV CLASS="titulo3">Notas técnicas</DIV>

  <DIV CLASS="contenido">

  El programa que muestra estos eventos está escrito en PHP y del
  sistema de redirecciones de las URL se encarga el módulo
  <A HREF="http://httpd.apache.org/docs/2.2/mod/mod_rewrite.html">mod_rewrite</A>
  de Apache. Los archivos principales de este sistema se entregan con licencia
  <A HREF="http://creativecommons.org/licenses/publicdomain/">Dominio
  Público</A> en este archivo:
  <A HREF="evento-20160110.zip">evento-20160110.zip</A>.

  </DIV>

</DIV>

<!-- Posibilidades para seguir -->

<?php Tedecea_PosibilidadesSeguir(); ?>

<!-- Validadores -->

<?php Tedecea_EmiteValidadores(); ?>

<!-- Fin de página web -->

</BODY>

</HTML>

<!-- Programa PHP -->

<?php

function EmiteListaEventos()
  {
  // Leemos la lista de eventos
  $ListaEventos = Tedecea_LeeArchivoXML ('eventos.xml');

  // Escribimos una enumeración con los eventos
  print "\n<UL>\n";

  foreach ( $ListaEventos as $Evento )
    {
    // Datos del evento
    $Clave = $Evento['tag'];
    $Descripcion = $Evento['tex'];

    // Imprimimos el enlace
    Tedecea_EmiteEnlace ($Descripcion, $Clave);
    }

  print "\n</UL>\n";
  }

?>
